package com.adlerneves.git.teste_admissional_2020_12_14.endpoints

class SimpleDownloader(url: String, headers: List<Pair<String, String>>, body: ByteArray) :
    AbstractHttpEndpoint<ByteArray>(url, headers, body) {
    constructor(urlString: String, headers: List<Pair<String, String>>) : this(
        urlString,
        headers,
        byteArrayOf()
    )

    constructor(urlString: String) : this(urlString, listOf<Pair<String, String>>())

    override fun processGetResponse(dataBytes: ByteArray): ByteArray = dataBytes
}