package com.adlerneves.git.teste_admissional_2020_12_14.helper_extensions

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.annotation.LayoutRes

val Context.layoutInflater get() = LayoutInflater.from(this)
val View.layoutInflater get() = this.context.layoutInflater
fun ViewGroup.inflate(@LayoutRes id: Int): View = this.layoutInflater.inflate(id, this, false)