package com.adlerneves.git.teste_admissional_2020_12_14.activities

import android.content.Intent
import android.graphics.drawable.ColorDrawable
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.adlerneves.git.teste_admissional_2020_12_14.R
import com.adlerneves.git.teste_admissional_2020_12_14.databinding.ActivityMainBinding
import com.adlerneves.git.teste_admissional_2020_12_14.helper_extensions.getColorCompat

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        supportActionBar?.setBackgroundDrawable(ColorDrawable(this.getColorCompat(R.color.purple_700)))
        binding.subredditButton.setOnClickListener {
            startActivity(
                Intent(this, SubredditActivity::class.java).apply {
                    putExtra("subreddit", "androiddev")
                }
            )
        }
    }
}