package com.adlerneves.git.teste_admissional_2020_12_14.helper_extensions

import org.json.JSONArray

@Suppress("UNCHECKED_CAST")
fun <T> JSONArray.toList(): List<T?> = 0.until(this.length()).map {
    if (this.isNull(it)) {
        null
    } else {
        this.get(it) as T
    }
}.toList()