package com.adlerneves.git.teste_admissional_2020_12_14.helper_extensions

fun Long.prettifyTimeSpan(): String = when {
    this < 0 -> (-this).prettifyTimeSpan()
    this < 60 -> "$this s"
    this < 3600 -> "${this / 60} mn"
    this < 86400 -> "${this / 3600} hr"
    this < 604800 -> "${this / 86400} dy"
    this < 2592000 -> "${this / 604800} wk"
    this < 31536000 -> "${this / 2592000} mo"
    else -> "${this / 31536000} yr"
}